ooo-build r13056 - in trunk: . bin/piece patches/dev300 scratch/split



Author: michael
Date: Thu Jul  3 20:52:56 2008
New Revision: 13056
URL: http://svn.gnome.org/viewvc/ooo-build?rev=13056&view=rev

Log:
2008-07-03  Michael Meeks  <michael meeks novell com>

        * patches/dev300/offapi-no-compare.diff,
        * patches/dev300/apply: fix build for idl changes.



Modified:
   trunk/ChangeLog
   trunk/Makefile.shared
   trunk/bin/piece/build-libs_extern
   trunk/bin/piece/build-ure
   trunk/patches/dev300/apply
   trunk/scratch/split/ooo3_bootstrap.spec
   trunk/scratch/split/ooo3_ure.spec

Modified: trunk/Makefile.shared
==============================================================================
--- trunk/Makefile.shared	(original)
+++ trunk/Makefile.shared	Thu Jul  3 20:52:56 2008
@@ -32,7 +32,7 @@
 			FLAGS="$$FLAGS --additional-sections=$(OOO_ADDITIONAL_SECTIONS)"; \
 		fi ; \
 		if test "z$(PIECE)" != "z"; then \
-			FLAGS="$$FLAGS --pieces"; \
+			FLAGS="$$FLAGS --pieces --distro=Piece"; \
 		fi ; \
 		chmod +x $(TOOLSDIR)/patches/apply.pl && $(TOOLSDIR)/patches/apply.pl $(APPLY_DIR) $(OOBUILDDIR) $$FLAGS -f -R ; \
 	fi
@@ -110,7 +110,7 @@
 		FLAGS="$$FLAGS --additional-sections=$(OOO_ADDITIONAL_SECTIONS)"; \
 	fi ; \
 	if test "z$(PIECE)" != "z"; then \
-		FLAGS="$$FLAGS --pieces"; \
+		FLAGS="$$FLAGS --pieces --distro=Piece"; \
 	fi ; \
 	chmod +x $(TOOLSDIR)/patches/apply.pl && $(TOOLSDIR)/patches/apply.pl $(APPLY_DIR) $(OOBUILDDIR) $$FLAGS --tag=$(CVSTAG) ;
 	$(TOOLSDIR)/bin/transform --apply $(TOOLSDIR) $(OOBUILDDIR)
@@ -140,7 +140,7 @@
 		FLAGS="$$FLAGS --additional-sections=$(OOO_ADDITIONAL_SECTIONS)"; \
 	fi ; \
 	if test "z$(PIECE)" != "z"; then \
-		FLAGS="$$FLAGS --pieces"; \
+		FLAGS="$$FLAGS --pieces --distro=Piece"; \
 	fi ; \
 	chmod +x $(TOOLSDIR)/patches/apply.pl && $(TOOLSDIR)/patches/apply.pl $(APPLY_DIR) $(OOBUILDDIR) $$FLAGS -R ;
 	rm -f $(STAMP_DIR)/patch.apply

Modified: trunk/bin/piece/build-libs_extern
==============================================================================
--- trunk/bin/piece/build-libs_extern	(original)
+++ trunk/bin/piece/build-libs_extern	Thu Jul  3 20:52:56 2008
@@ -5,8 +5,8 @@
 for a in *; do
 	if test "$a" != "applied_patches"; then
 		cd $a || exit 1;
-		perl $SOLARENV/bin/build.pl --all:$a $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
-		perl $SOLARENV/bin/build.pl --all:$a --deliver $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
+		perl $SOLARENV/bin/build.pl --all $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
+		perl $SOLARENV/bin/build.pl --deliver $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
 		cd ..
 	fi
 done

Modified: trunk/bin/piece/build-ure
==============================================================================
--- trunk/bin/piece/build-ure	(original)
+++ trunk/bin/piece/build-ure	Thu Jul  3 20:52:56 2008
@@ -5,8 +5,8 @@
 for a in *; do
 	if test "$a" != "applied_patches"; then
 		cd $a || exit 1;
-		perl $SOLARENV/bin/build.pl --all:$a $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
-		perl $SOLARENV/bin/build.pl --all:$a --deliver $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
+		perl $SOLARENV/bin/build.pl --all $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
+		perl $SOLARENV/bin/build.pl --deliver $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
 		cd ..
 	fi
 done

Modified: trunk/patches/dev300/apply
==============================================================================
--- trunk/patches/dev300/apply	(original)
+++ trunk/patches/dev300/apply	Thu Jul  3 20:52:56 2008
@@ -2247,6 +2247,8 @@
 # have Impress text boxes shrink font automatically when text starts
 # to overflow (only core changes for now)
 fit-list-to-size.diff, thorsten
+# turn off offapi compatibilty checking ...
+offapi-no-compare.diff, thorsten
 
 # apply this patch if you need to disable vcl grabbing your mouse -
 # after applying the patch, set SAL_NO_MOUSEGRABS in your env

Modified: trunk/scratch/split/ooo3_bootstrap.spec
==============================================================================
--- trunk/scratch/split/ooo3_bootstrap.spec	(original)
+++ trunk/scratch/split/ooo3_bootstrap.spec	Thu Jul  3 20:52:56 2008
@@ -126,7 +126,7 @@
 %define	      ooo_prefix	%_libdir
 %define	      ooo_home		ooo-3
 %define	      ooo_build_dir	build
-%define	      ooo_build_version 2.99.4
+%define	      ooo_build_version 2.99.21
 %define	      ooo_build_tag     dev300-m22
 License:        Artistic License; BSD 3-Clause; GPL v2 or later; LaTeX Public License (LPPL); LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL); X11/MIT
 Group:          Productivity/Office/Suite

Modified: trunk/scratch/split/ooo3_ure.spec
==============================================================================
--- trunk/scratch/split/ooo3_ure.spec	(original)
+++ trunk/scratch/split/ooo3_ure.spec	Thu Jul  3 20:52:56 2008
@@ -47,7 +47,7 @@
 export OO_SOLVERDIR=$OO_INSTDIR/solver
 export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
 
-$OO_TOOLSDIR/../patches/apply.pl $OO_TOOLSDIR/../patches/dev300 --pieces --tag=%ooo_build_tag --distro=SUSE `pwd` 
+$OO_TOOLSDIR/../patches/apply.pl $OO_TOOLSDIR/../patches/dev300 --pieces --tag=%ooo_build_tag --distro=SUSE --distro=Piece `pwd` 
 source $OO_TOOLSDIR/piece/sys-setup
 $OO_TOOLSDIR/piece/build-%piece
 



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]